import axios from 'axios';

const markAsRead = async (id, userId, headers = {}) => {
    try {
        const response = await axios.put(`${process.env.REACT_APP_NOTIFICATIONS_API}/notifications/${id}/users/${userId}`, '', Object.keys(headers).length > 0 && { headers });

        return response.data;
    } catch (error) {
        throw error;
    }
};


const markAllAsRead = async (userId, headers = {}) => {
    try {
        const response = await axios.put(`${process.env.REACT_APP_NOTIFICATIONS_API}/notifications/users/${userId}`, '', Object.keys(headers).length > 0 && { headers });

        return response.data;
    } catch (error) {
        throw error;
    }
};

const get = async (userId, headers = {}) => {
    try {
        const response = await axios.get(`${process.env.REACT_APP_NOTIFICATIONS_API}/notifications/users/${userId}`, Object.keys(headers).length > 0 && { headers });

        return response.data;
    } catch (error) {
        throw error;
    }
};

const getByApplication = async (applicationId, headers = {}) => {
    try {
        const response = await axios.get(`${process.env.REACT_APP_NOTIFICATIONS_API}/notifications/applications/${applicationId}`, Object.keys(headers).length > 0 && { headers });

        return response.data;
    } catch (error) {
        throw error;
    }
};

export const NotificationService = {
    markAsRead,
    markAllAsRead,
    getByApplication,
    get
};
